Connector
A connector is an extension of Rossum that allows to validate and modify data during validation and also export data to an external system. A connector object is used to configure external or internal endpoint of such an extension service. For more information see Extensions
Connector
ID of the connector
Name of the connector (not visible in UI)
URL of the connector
List of queues that use connector object
URL of the connector endpoint
Query params appended to the service_url
Client SSL certificate used to authenticate requests. Must be PEM encoded.
Client SSL key (write only). Must be PEM encoded. Key may not be encrypted.
String sent in HTTP header Authorization could be set to secret_key or Basic. For details see Connector API.
"secret_key"Token sent to connector in Authorization header to ensure connector was contacted by Rossum (displayed only to admin user).
Affects exporting: when true, confirm endpoint returns immediately and connector's save endpoint is called asynchronously later on.
trueClient data. May be used to store e.g. external system object IDs. See Metadata for more details.
Default:{}User that last modified the object.
Timestamp of last modification.
List connectors
Retrieve all connector objects.
curl -X GET "https://example.rossum.app/api/v1/connectors"{
"pagination": {
"next": null,
"previous": null
},
"results": [
{
"id": 1500,
"name": "MyQ Connector",
"url": "https://example.rossum.app/api/v1/connectors/1500",
"queues": [
"https://example.rossum.app/api/v1/queues/8199"
],
"service_url": "https://myq.east-west-trading.com",
"params": "strict=true",
"client_ssl_certificate": "-----BEGIN CERTIFICATE-----\n...",
"client_ssl_key": "string",
"authorization_type": "secret_key",
"authorization_token": "wuNg0OenyaeK4eenOovi7aiF",
"asynchronous": true,
"metadata": {
"some_key": "some_value"
},
"modified_by": "https://example.rossum.app/api/v1/users/10775",
"modified_at": "2021-04-26T10:08:03.856648Z"
}
]
}{
"detail": "Bad Request.",
"code": "bad_request"
}{
"detail": "Invalid token.",
"code": "authentication_failed"
}{
"detail": "Access to the requested resource is forbidden.",
"code": "access_forbidden"
}{
"detail": "Not found.",
"code": "not_found"
}{
"detail": "Conflict.",
"code": "conflict_status"
}{
"detail": "Request was rate limited.",
"code": "rate_limited",
"url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}{
"detail": "Server error.",
"code": "error"
}{
"detail": "Bad Gateway.",
"code": "bad_gateway"
}{
"detail": "Service Unavailable.",
"code": "service_unavailable"
}{
"detail": "Gateway timeout.",
"code": "gateway_timeout"
}Response
OK
Invalid input data.
Detail of the error
Code of the error
The username/password is invalid or token is invalid (e.g. expired).
Detail of the error
Code of the error
Insufficient permission, missing authentication, invalid CSRF token and similar issue.
Detail of the error
Code of the error
The specified resource was not found.
Detail of the error
Code of the error
Conflict
Detail of the error
Code of the error
Request rate is too high, wait before sending more requests. See Rate Limiting for more details.
Detail of the error
Code of the error
Link to the rate limiting documentation
Server failure while processing the request.
Detail of the error
Code of the error
Invalid response from the upstream server.
Detail of the error
Code of the error
We're temporarily offline for maintenance. Please try again later.
Detail of the error
Code of the error
Upstream server could not complete the request in time.
Detail of the error
Code of the error
Create connector
Create a new connector object.
curl -X POST "https://example.rossum.app/api/v1/connectors" \ -H "Content-Type: application/json" \ -d '{ "name": "MyQ Connector", "service_url": "https://myq.east-west-trading.com" }'{
"id": 1500,
"name": "MyQ Connector",
"url": "https://example.rossum.app/api/v1/connectors/1500",
"queues": [
"https://example.rossum.app/api/v1/queues/8199"
],
"service_url": "https://myq.east-west-trading.com",
"params": "strict=true",
"client_ssl_certificate": "-----BEGIN CERTIFICATE-----\n...",
"client_ssl_key": "string",
"authorization_type": "secret_key",
"authorization_token": "wuNg0OenyaeK4eenOovi7aiF",
"asynchronous": true,
"metadata": {
"some_key": "some_value"
},
"modified_by": "https://example.rossum.app/api/v1/users/10775",
"modified_at": "2021-04-26T10:08:03.856648Z"
}{
"detail": "Bad Request.",
"code": "bad_request"
}{
"detail": "Invalid token.",
"code": "authentication_failed"
}{
"detail": "Access to the requested resource is forbidden.",
"code": "access_forbidden"
}{
"detail": "Not found.",
"code": "not_found"
}{
"detail": "Conflict.",
"code": "conflict_status"
}{
"detail": "Payload Too Large.",
"code": "payload_too_large"
}{
"detail": "Request was rate limited.",
"code": "rate_limited",
"url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}{
"detail": "Server error.",
"code": "error"
}{
"detail": "Bad Gateway.",
"code": "bad_gateway"
}{
"detail": "Service Unavailable.",
"code": "service_unavailable"
}{
"detail": "Gateway timeout.",
"code": "gateway_timeout"
}Request Body
application/json
Name of the connector (not visible in UI)
List of queues that use connector object
URL of the connector endpoint
Query params appended to the service_url
Client SSL certificate used to authenticate requests. Must be PEM encoded.
Client SSL key (write only). Must be PEM encoded. Key may not be encrypted.
String sent in HTTP header Authorization could be set to secret_key or Basic. For details see Connector API.
"secret_key"Token sent to connector in Authorization header to ensure connector was contacted by Rossum (displayed only to admin user).
Affects exporting: when true, confirm endpoint returns immediately and connector's save endpoint is called asynchronously later on.
trueClient data. May be used to store e.g. external system object IDs. See Metadata for more details.
Default:{}Response
Created
ID of the connector
Name of the connector (not visible in UI)
URL of the connector
List of queues that use connector object
URL of the connector endpoint
Query params appended to the service_url
Client SSL certificate used to authenticate requests. Must be PEM encoded.
String sent in HTTP header Authorization could be set to secret_key or Basic. For details see Connector API.
"secret_key"Token sent to connector in Authorization header to ensure connector was contacted by Rossum (displayed only to admin user).
Affects exporting: when true, confirm endpoint returns immediately and connector's save endpoint is called asynchronously later on.
trueClient data. May be used to store e.g. external system object IDs. See Metadata for more details.
Default:{}User that last modified the object.
Timestamp of last modification.
Invalid input data.
Detail of the error
Code of the error
The username/password is invalid or token is invalid (e.g. expired).
Detail of the error
Code of the error
Insufficient permission, missing authentication, invalid CSRF token and similar issue.
Detail of the error
Code of the error
The specified resource was not found.
Detail of the error
Code of the error
Conflict
Detail of the error
Code of the error
Payload too large (especially for files uploaded).
Detail of the error
Code of the error
Request rate is too high, wait before sending more requests. See Rate Limiting for more details.
Detail of the error
Code of the error
Link to the rate limiting documentation
Server failure while processing the request.
Detail of the error
Code of the error
Invalid response from the upstream server.
Detail of the error
Code of the error
We're temporarily offline for maintenance. Please try again later.
Detail of the error
Code of the error
Upstream server could not complete the request in time.
Detail of the error
Code of the error
Retrieve connector
Get a connector object.
curl -X GET "https://example.rossum.app/api/v1/connectors/0"{
"id": 1500,
"name": "MyQ Connector",
"url": "https://example.rossum.app/api/v1/connectors/1500",
"queues": [
"https://example.rossum.app/api/v1/queues/8199"
],
"service_url": "https://myq.east-west-trading.com",
"params": "strict=true",
"client_ssl_certificate": "-----BEGIN CERTIFICATE-----\n...",
"client_ssl_key": "string",
"authorization_type": "secret_key",
"authorization_token": "wuNg0OenyaeK4eenOovi7aiF",
"asynchronous": true,
"metadata": {
"some_key": "some_value"
},
"modified_by": "https://example.rossum.app/api/v1/users/10775",
"modified_at": "2021-04-26T10:08:03.856648Z"
}{
"detail": "Bad Request.",
"code": "bad_request"
}{
"detail": "Invalid token.",
"code": "authentication_failed"
}{
"detail": "Access to the requested resource is forbidden.",
"code": "access_forbidden"
}{
"detail": "Not found.",
"code": "not_found"
}{
"detail": "Conflict.",
"code": "conflict_status"
}{
"detail": "Request was rate limited.",
"code": "rate_limited",
"url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}{
"detail": "Server error.",
"code": "error"
}{
"detail": "Bad Gateway.",
"code": "bad_gateway"
}{
"detail": "Service Unavailable.",
"code": "service_unavailable"
}{
"detail": "Gateway timeout.",
"code": "gateway_timeout"
}Response
OK
ID of the connector
Name of the connector (not visible in UI)
URL of the connector
List of queues that use connector object
URL of the connector endpoint
Query params appended to the service_url
Client SSL certificate used to authenticate requests. Must be PEM encoded.
String sent in HTTP header Authorization could be set to secret_key or Basic. For details see Connector API.
"secret_key"Token sent to connector in Authorization header to ensure connector was contacted by Rossum (displayed only to admin user).
Affects exporting: when true, confirm endpoint returns immediately and connector's save endpoint is called asynchronously later on.
trueClient data. May be used to store e.g. external system object IDs. See Metadata for more details.
Default:{}User that last modified the object.
Timestamp of last modification.
Invalid input data.
Detail of the error
Code of the error
The username/password is invalid or token is invalid (e.g. expired).
Detail of the error
Code of the error
Insufficient permission, missing authentication, invalid CSRF token and similar issue.
Detail of the error
Code of the error
The specified resource was not found.
Detail of the error
Code of the error
Conflict
Detail of the error
Code of the error
Request rate is too high, wait before sending more requests. See Rate Limiting for more details.
Detail of the error
Code of the error
Link to the rate limiting documentation
Server failure while processing the request.
Detail of the error
Code of the error
Invalid response from the upstream server.
Detail of the error
Code of the error
We're temporarily offline for maintenance. Please try again later.
Detail of the error
Code of the error
Upstream server could not complete the request in time.
Detail of the error
Code of the error
Partial update connector
Update part of connector object.
curl -X PATCH "https://example.rossum.app/api/v1/connectors/0" \ -H "Content-Type: application/json" \ -d '{}'{
"id": 1500,
"name": "MyQ Connector",
"url": "https://example.rossum.app/api/v1/connectors/1500",
"queues": [
"https://example.rossum.app/api/v1/queues/8199"
],
"service_url": "https://myq.east-west-trading.com",
"params": "strict=true",
"client_ssl_certificate": "-----BEGIN CERTIFICATE-----\n...",
"client_ssl_key": "string",
"authorization_type": "secret_key",
"authorization_token": "wuNg0OenyaeK4eenOovi7aiF",
"asynchronous": true,
"metadata": {
"some_key": "some_value"
},
"modified_by": "https://example.rossum.app/api/v1/users/10775",
"modified_at": "2021-04-26T10:08:03.856648Z"
}{
"detail": "Bad Request.",
"code": "bad_request"
}{
"detail": "Invalid token.",
"code": "authentication_failed"
}{
"detail": "Access to the requested resource is forbidden.",
"code": "access_forbidden"
}{
"detail": "Not found.",
"code": "not_found"
}{
"detail": "Conflict.",
"code": "conflict_status"
}{
"detail": "Payload Too Large.",
"code": "payload_too_large"
}{
"detail": "Request was rate limited.",
"code": "rate_limited",
"url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}{
"detail": "Server error.",
"code": "error"
}{
"detail": "Bad Gateway.",
"code": "bad_gateway"
}{
"detail": "Service Unavailable.",
"code": "service_unavailable"
}{
"detail": "Gateway timeout.",
"code": "gateway_timeout"
}Request Body
application/json
Name of the connector (not visible in UI)
List of queues that use connector object
URL of the connector endpoint
Query params appended to the service_url
Client SSL certificate used to authenticate requests. Must be PEM encoded.
Client SSL key (write only). Must be PEM encoded. Key may not be encrypted.
String sent in HTTP header Authorization could be set to secret_key or Basic. For details see Connector API.
"secret_key"Token sent to connector in Authorization header to ensure connector was contacted by Rossum (displayed only to admin user).
Affects exporting: when true, confirm endpoint returns immediately and connector's save endpoint is called asynchronously later on.
trueClient data. May be used to store e.g. external system object IDs. See Metadata for more details.
Default:{}Response
OK
ID of the connector
Name of the connector (not visible in UI)
URL of the connector
List of queues that use connector object
URL of the connector endpoint
Query params appended to the service_url
Client SSL certificate used to authenticate requests. Must be PEM encoded.
String sent in HTTP header Authorization could be set to secret_key or Basic. For details see Connector API.
"secret_key"Token sent to connector in Authorization header to ensure connector was contacted by Rossum (displayed only to admin user).
Affects exporting: when true, confirm endpoint returns immediately and connector's save endpoint is called asynchronously later on.
trueClient data. May be used to store e.g. external system object IDs. See Metadata for more details.
Default:{}User that last modified the object.
Timestamp of last modification.
Invalid input data.
Detail of the error
Code of the error
The username/password is invalid or token is invalid (e.g. expired).
Detail of the error
Code of the error
Insufficient permission, missing authentication, invalid CSRF token and similar issue.
Detail of the error
Code of the error
The specified resource was not found.
Detail of the error
Code of the error
Conflict
Detail of the error
Code of the error
Payload too large (especially for files uploaded).
Detail of the error
Code of the error
Request rate is too high, wait before sending more requests. See Rate Limiting for more details.
Detail of the error
Code of the error
Link to the rate limiting documentation
Server failure while processing the request.
Detail of the error
Code of the error
Invalid response from the upstream server.
Detail of the error
Code of the error
We're temporarily offline for maintenance. Please try again later.
Detail of the error
Code of the error
Upstream server could not complete the request in time.
Detail of the error
Code of the error
Delete connector
Delete connector object.
curl -X DELETE "https://example.rossum.app/api/v1/connectors/0"{
"detail": "Bad Request.",
"code": "bad_request"
}{
"detail": "Invalid token.",
"code": "authentication_failed"
}{
"detail": "Access to the requested resource is forbidden.",
"code": "access_forbidden"
}{
"detail": "Not found.",
"code": "not_found"
}{
"detail": "Conflict.",
"code": "conflict_status"
}{
"detail": "Request was rate limited.",
"code": "rate_limited",
"url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}{
"detail": "Server error.",
"code": "error"
}{
"detail": "Bad Gateway.",
"code": "bad_gateway"
}{
"detail": "Service Unavailable.",
"code": "service_unavailable"
}{
"detail": "Gateway timeout.",
"code": "gateway_timeout"
}Response
No Content
No response body.
Invalid input data.
Detail of the error
Code of the error
The username/password is invalid or token is invalid (e.g. expired).
Detail of the error
Code of the error
Insufficient permission, missing authentication, invalid CSRF token and similar issue.
Detail of the error
Code of the error
The specified resource was not found.
Detail of the error
Code of the error
Conflict
Detail of the error
Code of the error
Request rate is too high, wait before sending more requests. See Rate Limiting for more details.
Detail of the error
Code of the error
Link to the rate limiting documentation
Server failure while processing the request.
Detail of the error
Code of the error
Invalid response from the upstream server.
Detail of the error
Code of the error
We're temporarily offline for maintenance. Please try again later.
Detail of the error
Code of the error
Upstream server could not complete the request in time.
Detail of the error
Code of the error
Update connector
Update connector object.
curl -X PUT "https://example.rossum.app/api/v1/connectors/0" \ -H "Content-Type: application/json" \ -d '{ "name": "MyQ Connector", "service_url": "https://myq.east-west-trading.com" }'{
"id": 1500,
"name": "MyQ Connector",
"url": "https://example.rossum.app/api/v1/connectors/1500",
"queues": [
"https://example.rossum.app/api/v1/queues/8199"
],
"service_url": "https://myq.east-west-trading.com",
"params": "strict=true",
"client_ssl_certificate": "-----BEGIN CERTIFICATE-----\n...",
"client_ssl_key": "string",
"authorization_type": "secret_key",
"authorization_token": "wuNg0OenyaeK4eenOovi7aiF",
"asynchronous": true,
"metadata": {
"some_key": "some_value"
},
"modified_by": "https://example.rossum.app/api/v1/users/10775",
"modified_at": "2021-04-26T10:08:03.856648Z"
}{
"detail": "Bad Request.",
"code": "bad_request"
}{
"detail": "Invalid token.",
"code": "authentication_failed"
}{
"detail": "Access to the requested resource is forbidden.",
"code": "access_forbidden"
}{
"detail": "Not found.",
"code": "not_found"
}{
"detail": "Conflict.",
"code": "conflict_status"
}{
"detail": "Payload Too Large.",
"code": "payload_too_large"
}{
"detail": "Request was rate limited.",
"code": "rate_limited",
"url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}{
"detail": "Server error.",
"code": "error"
}{
"detail": "Bad Gateway.",
"code": "bad_gateway"
}{
"detail": "Service Unavailable.",
"code": "service_unavailable"
}{
"detail": "Gateway timeout.",
"code": "gateway_timeout"
}Request Body
application/json
Name of the connector (not visible in UI)
List of queues that use connector object
URL of the connector endpoint
Query params appended to the service_url
Client SSL certificate used to authenticate requests. Must be PEM encoded.
Client SSL key (write only). Must be PEM encoded. Key may not be encrypted.
String sent in HTTP header Authorization could be set to secret_key or Basic. For details see Connector API.
"secret_key"Token sent to connector in Authorization header to ensure connector was contacted by Rossum (displayed only to admin user).
Affects exporting: when true, confirm endpoint returns immediately and connector's save endpoint is called asynchronously later on.
trueClient data. May be used to store e.g. external system object IDs. See Metadata for more details.
Default:{}Response
OK
ID of the connector
Name of the connector (not visible in UI)
URL of the connector
List of queues that use connector object
URL of the connector endpoint
Query params appended to the service_url
Client SSL certificate used to authenticate requests. Must be PEM encoded.
String sent in HTTP header Authorization could be set to secret_key or Basic. For details see Connector API.
"secret_key"Token sent to connector in Authorization header to ensure connector was contacted by Rossum (displayed only to admin user).
Affects exporting: when true, confirm endpoint returns immediately and connector's save endpoint is called asynchronously later on.
trueClient data. May be used to store e.g. external system object IDs. See Metadata for more details.
Default:{}User that last modified the object.
Timestamp of last modification.
Invalid input data.
Detail of the error
Code of the error
The username/password is invalid or token is invalid (e.g. expired).
Detail of the error
Code of the error
Insufficient permission, missing authentication, invalid CSRF token and similar issue.
Detail of the error
Code of the error
The specified resource was not found.
Detail of the error
Code of the error
Conflict
Detail of the error
Code of the error
Payload too large (especially for files uploaded).
Detail of the error
Code of the error
Request rate is too high, wait before sending more requests. See Rate Limiting for more details.
Detail of the error
Code of the error
Link to the rate limiting documentation
Server failure while processing the request.
Detail of the error
Code of the error
Invalid response from the upstream server.
Detail of the error
Code of the error
We're temporarily offline for maintenance. Please try again later.
Detail of the error
Code of the error
Upstream server could not complete the request in time.
Detail of the error
Code of the error